Loading...
Searching...
No Matches
Opm::BlackOilSolventIntensiveQuantities< TypeTag, true > Class Template Reference

## Public Member Functions

void | solventPreSatFuncUpdate_ (const ElementContext &elemCtx, unsigned dofIdx, unsigned timeIdx)
| Called before the saturation functions are doing their magic.
void | solventPreSatFuncUpdate_ (const PrimaryVariables &priVars, const unsigned timeIdx, const LinearizationType linearizationType)
void | solventPostSatFuncUpdate_ (const ElementContext &elemCtx, unsigned dofIdx, unsigned timeIdx)
| Called after the saturation functions have been doing their magic.
void | solventPostSatFuncUpdate_ (const Problem &problem, const PrimaryVariables &priVars, const unsigned globalSpaceIdx, const unsigned timeIdx, const LinearizationType linearizationType)
void | solventPvtUpdate_ (const ElementContext &elemCtx, unsigned scvIdx, unsigned timeIdx)
| Update the intensive PVT properties needed to handle solvents from the primary variables.
const Evaluation & | solventSaturation () const
const Evaluation & | rsSolw () const
const Evaluation & | solventDensity () const
const Evaluation & | solventViscosity () const
const Evaluation & | solventMobility () const
const Evaluation & | solventInverseFormationVolumeFactor () const
Scalar | solventRefDensity () const

## Protected Member Functions

Implementation & | asImp_ ()

## Protected Attributes

Evaluation | hydrocarbonSaturation_
Evaluation | solventSaturation_
Evaluation | rsSolw_
Evaluation | solventDensity_
Evaluation | solventViscosity_
Evaluation | solventMobility_
Evaluation | solventInvFormationVolumeFactor_
Scalar | solventRefDensity_

## Member Function Documentation

## solventPostSatFuncUpdate_()

template<class TypeTag>

void Opm::BlackOilSolventIntensiveQuantities< TypeTag, true >::solventPostSatFuncUpdate_ | ( | const ElementContext & | elemCtx,
|  | unsigned | dofIdx,
|  | unsigned | timeIdx )

inline

Called after the saturation functions have been doing their magic.

After this function, all saturations, pressures and relative permeabilities must be final. (i.e., the "hydrocarbon saturations".)

## solventPreSatFuncUpdate_()

template<class TypeTag>

void Opm::BlackOilSolventIntensiveQuantities< TypeTag, true >::solventPreSatFuncUpdate_ | ( | const ElementContext & | elemCtx,
|  | unsigned | dofIdx,
|  | unsigned | timeIdx )

inline

Called before the saturation functions are doing their magic.

At this point, the saturations of the fluid state correspond to those if the phases were pure hydrocarbons.

## solventPvtUpdate_()

template<class TypeTag>

void Opm::BlackOilSolventIntensiveQuantities< TypeTag, true >::solventPvtUpdate_ | ( | const ElementContext & | elemCtx,
|  | unsigned | scvIdx,
|  | unsigned | timeIdx )

inline

Update the intensive PVT properties needed to handle solvents from the primary variables.

At this point the pressures and saturations of the fluid state are correct.

The documentation for this class was generated from the following file:

- opm/models/blackoil/blackoilsolventmodules.hh